регистрация / вход

Сборочный чертеж в AutoCAD

Разработка чертежа сборочной единицы в компьютерной системе автоматизированного проектирования AutoCAD. Описание сборочной единицы. Проектирование зубчатого колеса. Построение изображения деталей с помощью AutoLISP. Построение 3D-модели в AutoCAD.

ФЕДЕРАЛЬНОЕ АГЕНСТВО ПО ОБРАЗОВАНИЮ

ГОСУДАРСТВЕННОЕ ОБРАЗОВАТЕЛЬНОЕ УЧРЕЖДЕНИЕ

ВЫСШЕГО ПРОФЕССИОНАЛЬНОГО ОБРАЗОВАНИЯ

"ДОНСКОЙ ГОСУДАРСТВЕННЫЙ ТЕХНИЧЕСКИЙ УНИВЕРСИТЕТ"

Кафедра "Приборостроение"

КУРСОВАЯ РАБОТА

по дисциплине:

"Системы автоматизированного проектирования и конструирования измерительных приборов"

Выполнил:

студент группы ПП-52

Слынько А.А.

Проверил: доцент, к. т. н.

Литвин А.В.

г. Ростов-на-Дону 2010 г.

Содержание

1. Сборочный чертеж в AutoCAD

1.1 Описание сборочной единицы

1.2 Расчет зубчатого колеса

1.3 Построение сборочного чертежа

2. Построение изображения деталей с помощью AutoLISP

3. Построение 3D-модели в AutoCAD

Приложения

1. Сборочный чертеж в AutoCAD

1.1 Описание сборочной единицы

По заданию курсовой работы необходимо разработать чертеж сборочной единицы (рис.1) в системе автоматизированного проектирования AutoCAD.

Рис.1. Чертеж сборочной единицы.

Рис.2. Подшипника качения 1202

d= 15 мм

D= 35 мм

В = 11 мм

Динамическая грузоподъемность (C) = 12700 Н

Статическая грузоподъемность (С0 ) = 6200 Н

Пред. скорость вращения при пластичной смазке = 15000 мин-1

Масса = 0,1 кг

Размеры r1,2min = 1мм

Кроме того, в ходе выполнения работы необходимо спроектировать зубчатое колесо, которое будет устанавливаться на валу. Выполнив это, мы получим подшипниковый узел, предназначенный для передачи вращательного движения вала зубчатому колесу.

сборочный чертеж autocad проектирование

1.2 Расчет зубчатого колеса

По варианту задания параметры зубчатого колеса имеют следующие значения:

- модуль зубчатого колеса (m) = 0,8;

- число зубьев зубчатого колеса (Z) = 76.

Исходя из этих значений, диаметр делительной окружности зубчатого венца зубчатого колеса:

Диаметр окружности выступов (диаметр заготовки зубчатого колеса):

Диаметр окружности впадин зубчатого венца:

1.3 Построение сборочного чертежа

Система AutoCAD предназначена в первую очередь для двумерного рисования и выпуска с ее помощью проектной документации самых различных отраслей знаний. Она создана для интерактивной работы с пользователем. Весь диалог с системой идет на внутреннем языке команд. Каждая команда соответствует одной или нескольким операциям над рисунком. Как правило, команды имеют не единственный вариант работы, а выбор конкретного варианта определяется системой в зависимости от ответов и действий пользователя.

При создании сложных чертежей возникает необходимость присвоения имен отдельным объектам или множествам объектов, чтобы ими можно было удобнее оперировать в дальнейшей работе. Данной цели служит свойство - слой, который обладает возможностью замораживания (выключения), когда ряд второстепенных в данный момент объектов можно, не удаляя, сделать невидимыми, что позволит успешнее работать с главными объектами.

В системе предусмотрен инструмент для создания слоев, которые хранятся в специальной внутренней таблице. Слой может быть пустым (не содержащим объектов или содержать какие-то примитивы рисунка). Любой графический объект имеет слой только один.

Основной командой работы со слоями является команда LAYER, которой соответствую на панели Layers и пункт меню Format | Layers.

В данной работе мы создадим несколько слоев и зададим разные цвета для большей наглядности.

Основным средством рисования в нашей работе будет полилиния - составной примитив из одного или нескольких связанных между собой прямолинейных и дуговых сегментов. Полигиния обрабатывается как единое целое.

Для рисования полилинии служит команда PLINE, которая, помимо ввода с клавиатуры, может быть вызвана с помощью кнопки пульта управления и панели инструментов Draw или пункта меню Draw | Polyline.

Первый запрос системы при выполнении команды:

Specify start point:

Нужно указать начальную точку полилинии. Следующий запрос более сложный:

Current line-width is 0.0000

Specify next point or [Arc/Half width/Length/Undo/Width]:

Полигиния - один из немногих объектов, которые могут иметь ненулевую ширину. Ширина предыдущей полилинии запоминается и предлагается в качестве ширины по умолчанию для следующей. Об этом AutoCAD информирует вас сообщением:

Current line-width is .

Если в этот момент указать точку, она станет второй точкой линии. Система AutoCAD снова повторяет предыдущий запрос, но к нему добавляется опция Close:

Specify next point or [Arc/Close/Halfwidtli/Length/Undo/Width]:

Таким образом, можно последовательно указать несколько точек, которые стану вершинами ломаной линии (полилинии, состоящей из одних прямолинейных сегментов). Кроме указания точек, можно выбрать следующие опции:

- Arc - переход в режим рисования дуговых сегментов полилинии;

- Close - добавление еще одного прямолинейного участка, замыкающего полилинию (одновременно команда PLINE завершается);

- Halfwidth - задание ширины, но в терминах полуширины (например, требуемая полная ширина линии 10 задается полушириной 5);

- Length - построение сегмента, являющегося продолжением предыдущего участка с заданной длиной, при этом длину можно задать числом или точкой;

- Undo - отмена последней операции в команде PLINE;

- Width - задание ширины очередного сегмента полилинии (причем ширина в начале участка может не совпадать с шириной в конце участка), которая распределяется поровну по обе стороны от оси полилинии, на которой лежат вершины (точки) полилинии.

В случае перехода в режим рисования дуг (опция Arc) AutoCAD предлагает следующий выбор:

Specify endpoint of arc or

[Angle/Center/Close/Direction/Halfwidth/Line/Radius/Secondpt/Undo/Width]:

В этот момент после указания конечной точки дуги система AutoCAD строит дуговой сегмент, касающийся предыдущего участка полилинии. Опции же относятся к возможному заданию:

- Angle - величины центрального угла для дугового сегмента;

- C enter - центра для дугового сегмента;

- C lose - замыкания полилинии с помощью дугового сегмента;

- Direction - направления касательной для построения дугового сегмента;

- Halfwidth - полуширины для следующего сегмента;

- Line - режима рисования прямолинейных сегментов;

- Radius - радиуса для дугового сегмента;

- Second pt - второй точки для построения дугового сегмента по трем точкам;

- Undo - отката в построении внутри команды PLINE;

- Width - задание ширины для следующего сегмента.

Способы построения дуговых сегментов аналогичны способам построения дуг команды ARC. В любой момент можно из режима рисования прямолинейных сегментов перейти в режим рисования дуговых сегментов и наоборот. Также в любой момент можно задать новую ширину или полуширину для следующего сегмента полилинии.

Команда TRIM, позволяющая обрезать объект (объекты) с помощью пересекающих его (их) других объектов или удлинить его (их) до нужного объекта. Команду можно также вызвать из падающего меню Modify с помощью пункта Trim.

Первый запрос команды:

Current settings: Projection = UCS, Edge = None

Select cutting edges.

Select objects or <select alt>:

В первой строке этого сообщения показаны текущие установки команды, которые при необходимости могут быть изменены.

Команда BREAK предназначена для разрыва объекта в двух указываемых точках. Команду можно вызвать из выпадающего меню Modify с помощью пункта Break. Кроме того, в пульте управления панели инструментов Modifyей соответствуют две кнопки

Первы й запрос команды:

Select object:

Необходимо указать объект, причем, по умолчанию точка будет указана точкой первой разрыва. Далее:

Specify second breakpoint or /First point]:

Необходимо указать вторую точку разрыва.

Команда FILLET сопрягает объекты (например, отрезки, дуги и окружности) дугой заданного радиуса. Ей соответствуют кнопка на панели пульта управления Modify и пункт Fillet падающего меню Modify. Команда по своим режимам аналогична команде CHAMFER.

Первое сообщение, выдаваемое командой, содержит информацию о текущих настройках и запрос первого объекта:

Current settings: Mode = TRIM, Radius = 0.0000

Select first object or [Undo/Polyline/Radius/Trim/Multiple]:

Опция Radius после выдачи соответствующего запроса дает возможность зменить текущее значение радиуса сопряжения:

Specify fillet radius <0.0000>:

Операция нанесения размеров, допусков и выносных линий (выносок) выполняются с помощью команд, которым соответствуют пункты падающего меню Dimension (Размеры) и кнопки панели инструментов Dimension.

По умолчанию AutoCAD все размеры создают ассоциативными, т.е. зависимыми от объектов к которым данные размеры привязаны. Это означает, что при редактировании основного объекта будут автоматически изменяться и все связанные с ним размеры.

Первая команда - DIMLINEAR - предназначена для установки линейных размеров. Первый запрос команды DIMLINEAR:

Specify first extension line origin or <select object>:

Далее необходимо указать с помощью временной или постоянной объектной привязки точку, тогда ответом системы AutoCAD будет:

Specify second extension line origin:

Необходимо указать с помощью объектной привязки следующую точку. Затем система AutoCAD запрашивает, куда поместить размерную линию:

Specify dimension line location or

[Mtext/Text/Angle/Horizontal/Vertical/Rotated]:

По указанным на объекте точкам AutoCAD определяет, какой тип размера (горизонтальный, вертикальный) вы хотите построить. Если вы с этим согласны, то остается лишь щелчком мыши указать точку, определяющую уровень, на котором будет расположен размер.

Система выводит в командную строку размерный текст:

Dimension text = 86.46

Построенный размер является единым объектом (примитивом DIMENSION. В случае выбора его мышью он высвечивается весь целиком.

DIMDIAMETER предназначена для нанесения диаметра. Ей соответствует кнопка на панели инструментов Dimension и пункт Diameter падающего меню Dimension. При простановке диаметра внутри окружности с обычными настройками, он будет нанесен системой аналогично радиусу на дуге. Если необходимо, чтобы диаметр был проставлен не с одной стрелкой, а с двумя, то следует предварительно изменить значение системной переменной DIMATFIT.

Для корректировки значения системной переменной необходимо ввести в командной строке DIMATFIT и нажать клавишу <Enter>. Появится запрос:

Enter new value for DIM A TFIT<3>:

Необходимо задать новое значение и выполнить простановку диаметра внутри окружности.

Команда TEXT, создающая простые надписи, помимо клавиатуры, может быть вызвана кнопкой панели инструментов Text, а также из выпадающего меню Draw, где есть пункт Text | Single Line Text.

После запуска команды сначала выдается сообщение о текущем стиле, которым предлагается написать текст:

Current text style: "Standard" Text height: 2.5000

Понятие стиля включает в себя имя шрифта и ряд особенностей его использования (наклон букв относительно вертикали, наличие эффекта переворачивания и др.). Система AutoCAD запоминает высоту предыдущей надписи и предлагает ее в качестве значения по умолчанию.

Построение надписи начинается с ответа на запрос:

Specify start point of text or [Justify/Style]:

Здесь можно указать начальную точку текста (это левая точка базовой линии надписи) или выбрать одну из опций:

- Justify - выравнивание;

- Style - позволяет поменять имя текущего стиля

Specify height <2. S000>:

Нужно ввести высоту (применительно к заглавным буквам) текста или указать эту высоту заданием второй точки. Далее появится следующий запрос:

Specify rotation angle of text <0>:

Необходимо задать в градусах угол поворота нижнего основания надписи (при горизонтальном положении это 0). Можно указать угол поворота второй точкой (например, с по мощью мыши).

Если в однострочный текст нужно вставить специальные знаки, то при вводе текста можно использовать следующие управляющие коды, начинающиеся с двух символов процент:

- %%nnn - вставка символа с номером (nnn заменяет три цифры) в текущей таблице кодировки символов ср1251, используемой как основная кодировка в графических приложениях для русской версии Windows;

- %%о - включение/отключение надчеркивания;

- %%u - включение/отключение подчеркивания;

- %%d - вставка символа градуса "°";

- %%р - вставка символа плюс-минус "±";

- %%с - вставка символа диаметр;

- %%% - вставка символа процента "%".

Режимы надчеркивания и подчеркивания могут действовать в надписи одновременно. Оба режима по достижении конца строки автоматически отключаются.

Кнопка команды MIRROR позволяет зеркально отразить выбранные объекты относительно оси, которая определяется двумя точками.

После выбора объекта система AutoCADзапрашивает:

Specify first point of mirror line:

Затем после ответа, запрашивается вторая точка, проходящая через обе точки прямая и (симметрии) будет осью отражения:

Specify second point of mirror line:

После этого остается только ответить, что сделать с исходными объектами (удалить или нет):

Delete source objects? [Yes/No] <N>:

После чего команда MIRROR будет выполнена.

2. Построение изображения деталей с помощью AutoLISP

Следующим пунктом задания курсовой работы является построение изображения левой крышки подшипника по рабочему чертежу (), который был построен в AutoCAD, исходя из вышеизложенных правил.

Для построения однотипных объектов в AutoCADпредусмотрена интеграция языка программирования LISP. Система AutoLISPпозволяет писать сценарии, по которым будет выполняться построение объектов. В падающем меню Toolsвыберем подменю AutoLISPи строчку VisualLISPEditor.

Перед нами появится окно редактирования AutoLISP. При создании нового документа появится пустое окно, в котором и будет происходить написание или редактирование сценария. Рассмотрим работу AutoLISPна примере уже созданной программы Cover_L. lsp, которая полностью приведена в ПРИЛОЖЕНИИ 1.

Все функции будут заключены в круглые скобки и начинаться с зарезервированного слова defun ( defined function - определение функции), далее идет название функции. Первая использованная нами функция indat приведена ниже:

(defun indat ()

(SETQ

P0 (GETPOINT "\n Введите базовую точку Р0 >: ")

D1 (GETREAL "\n Введите диаметр посадочного отверстия D1 >: ")

D2 (GETREAL "\n Введите диаметр валика D2 >: ")

D3 (GETREAL "\n Введите диаметр выступа D3 >: ")

D4 (GETREAL "\n Введите диаметр внутреннего отверстия D4 >: ")

L1 (GETREAL "\n Введите длину крышки L1 >: ")

L2 (GETREAL "\n Введите высоту внутреннего отверстия L2 >: ")

L3 (GETREAL "\n Введите ширину буртика L3 >: ")

)

)

Для работы с данными и их параметрами используется стандартная подпрограмма setq . Строка (SETQ P0 (GETPOINT "\n Введите базовую точку Р0 >: ") будет выполнена следующим образом. В командной строке выведется строка с запросом "Введите первую точку Р0:", при указании точки ее координаты будут сохранены в памяти под названием Р0 . Следующая строка присваивает переменной D1 численное значение, введенное с клавиатуры и т.д., после чего идет закрытие функций круглыми скобками.

Построение крышки подшипника будет выполняться с помощью примитива полилиния. Для этого нам надо знать координаты всех точек, их нахождение будет выполнено в функции par :

(defun par ()

(SETQ

PI2 (/ PI 2)

P01 (POLAR P0 0.0 L1)

P1 (POlAR P0 PI2 (/ D1 2))

P2 (POlAR P0 PI2 (/ D2 2))

P3 (POlAR P2 0.0 L3)

P4 (POlAR P3 ( - PI2) (/ ( - D2 D3) 2))

P5 (POlAR P4 0.0 ( - L1 L3))

P6 (POLAR P5 ( - PI2) (/ ( - D3 D4) 2))

P7 (POLAR P6 PI L2)

P8 (POlAR P7 ( - PI2) (/ ( - D4 D1) 2))

)

)

Следующая точкаP1 будет рассчитана посредством команды P1 ( POlAR P0 PI2 (/ D1 2)), что означает: P1 - следующая точка; polar - полярная система координат; Р0 - точка относительно которой будет происходить расчет; PI - направление, которое задается углом.

Само построение крышки выполняется в функции grq ():

(defun grq ()

(command "PLINE" P1 "W" "0.5" "" P2 P3 P4 P5 P6 P7 P8 "c"

"MIRROR" P1 "" P0 P01 ""

"PLINE" P1 (POLAR P1 ( - PI2) D1)""

"PLINE" P8 (POLAR P8 ( - PI2) D1)""

"PLINE" P6 (POLAR P6 ( - PI2) D4)""

"HATCH" "U" "45" "2" "N" P2 (POLAR P2 ( - PI2) D2)""

"LINETYPE" "S" "CENTER" ""

"LINE" (POLAR P0 PI 3) (POLAR P01 0.0 3)""

"LINETYPE" "S" "CONTINUOUS" ""

)

)

Слово command обозначает, что следующая функция будет выполнена как в системе AutoCAD: выбор полилинии, указание координат первой точки, переход в параметры толщины линии и назначение начала линии толщиной в 0,5. Пустые кавычки обозначают, что и конец линии будет толщиной 0,5. Далее выполняется построение полилинии по указанным координатам точек P1, P2, P3 и т.д., "c" - замкнуть полилинию, провести прямую от последней точки к первой, и выйти из редактирования полилинии. Вторая строка осуществляет зркальное отображение построенной полилинии относительно осевой линии PO P01. Следующие 3 строки программы предназначены для построения недостающих на чертеже линий. С помощью следующей строки выполняется штриховка с соответствующими параметрами. Последняя строка проводит дополнительную линию.

Простановка размеров производится в функции dimv ():

(defun dimv ()

(SETQ

P11 (POLAR P1 ( - PI2) D1)

P12 (POLAR P2 ( - PI2) D2)

P15 (POLAR P5 ( - PI2) D3)

P16 (POLAR P6 ( - PI2) D4)

PD1 (POLAR P1 PI 10)

PD2 (POLAR P1 PI 20)

PD3 (POLAR P5 0.0 20)

PD4 (POLAR P6 0.0 10)

PL1 (POLAR P1 PI2 45)

PL2 (POLAR P8 ( - PI2) 70)

PL3 (POLAR P3 PI2 5)

)

(COMMAND

"DIMDEC" 0

"DIMASZ" 2

"DIMTXT" 3

"DIMTVP" 1.5

"DIMTIH" "OFF"

"DIMTOH" "OFF"

"DIM"

"VER" P1 P11 PD1 "%%c <>"

"VER" P2 P12 PD2 "%%c <>"

"VER" P5 P15 PD3 "%%c <>"

"VER" P6 P16 PD4 "%%c <>"

"HOR" P1 P6 PL1 "<>"

"HOR" P8 P6 PL2 "<>"

"HOR" P1 P3 PL3 "<>"

"EXIT"

)

)

С помощью уже описанной выше функции setq присваиваем переменным значения расстояний, на которых будут расставлены наши размеры. Далее идет назначение параметров, в соответствии с которыми следует выполнить простановку размеров. Команда dim обозначает начало построения, далее требуется обозначить, какой размер будет построен горизонтальный и вертикальный (hor или ver). Рассмотрим строчку "VER" P1 P11 PD1 "%% c<>". Она построит вертикальный размер (ver ) от точки P1 до P11 , на расстоянии PD1 от линии, размер которой мы хотим построить, и размер будет иметь значок диаметра (%%с ). "EXIT" обозначает выход из построения размеров.

Главная функция sq которая и будет выполнять все вышеперечисленные функции описывается следующим образом:

(defun c: sq ()

(indat)

(par)

(grq)

(dimv)

)

В ней идет перечисление всех функций в том порядке, в котором они должны выполниться.

Теперь в AutoCADнадо загрузить сохраненный сценарий AutoLISPи запустить его в командной строке командой sq . Далее отвечаем на запросы и получаем построенную крышку. Пример построения крышки показан на в ПРИЛОЖЕНИИ 2.

3. Построение 3 D-модели в AutoCAD

Заключительным заданием курсовой работы является построение объемной модели левой крышки подшипника, о которой говорилось ранее.

Во-первых, необходимо создать в AutoCADновый файл, в котором мы сможем построить 3D-модель. Для этого необходимо воспользоваться меню File| New, затем выбрать acad. dwt.

В появившемся файле необходимо построить цилиндр (Draw| Modeling| Cylinder). При этом AutoCADзапросит несколько значений:

1. Specify center point of base or [3 P/2 P/ Ttr/ Elliptical]: - укажем здесь начальную точку построения с координатами (0,0,0);

2. Specify base radius or [Diameter]: - укажем радиус цилиндра;

3. Specify height or [2Point/Axis endpoint]: - укажем высоту цилиндра.

Цилиндр построен, он будет являться основанием нашей крышки, далее необходимо изобразить монтажные отверстия. Построение их также связано с построением цилиндров той же высоты, но уже меньшего радиуса, а начальной точкой будет являться другая - полученная методом расчета, исходя из рабочего чертежа крышки.

После построения одного такого цилиндра, можно упростить расчеты применением команда ARRAY - массив (Modify| Array). В всплывающем окне выбираем Polar Array и Center point (0,0,0). После этого на чертеже появляются 4 одинаковых цилиндра.

Далее необходимо сделать из них отверстия. Для этого необходимо воспользоваться функцией SUBTRACT - вычитание (Modify| SolidEditing). Далее необходимо выделить большой цилиндр, нажать <Enter>, и выделить маленькие. В итоге получим цилиндр с отверстиями.

Пользуясь вышеизложенными функциями, необходимо построить еще цилиндр, объединить его (Modify| SolidEditing| Union) cуже имеющимся, сделать в нем отверстие. А затем построить еще один цилиндр, который должен будет стать отверстием для посадки на вал.

Выполнив все перечисленные операции, получим 3D-модель левой крышки подшипника (ПРИЛОЖЕНИЕ 3), которую и необходимо было построить.

Приложения

Приложение 1

( defun indat ()

(SETQ

P0 (GETPOINT "\n Введите базовую точку Р0 >: ")

D1 (GETREAL "\n Введите диаметр посадочного отверстия D1 >: ")

D2 (GETREAL "\n Введите диаметр валика D2 >: ")

D3 (GETREAL "\n Введите диаметр выступа D3 >: ")

D4 (GETREAL "\n Введите диаметр внутреннего отверстия D4 >: ")

L1 (GETREAL "\n Введите длину крышки L1 >: ")

L2 (GETREAL "\n Введите высоту внутреннего отверстия L2 >: ")

L3 (GETREAL "\n Введите ширину буртика L3 >: ")

)

)

(defun par ()

(SETQ

PI2 (/ PI 2)

P01 (POLAR P0 0.0 L1)

P1 (POlAR P0 PI2 (/ D1 2))

P2 (POlAR P0 PI2 (/ D2 2))

P3 (POlAR P2 0.0 L3)

P4 (POlAR P3 ( - PI2) (/ ( - D2 D3) 2))

P5 (POlAR P4 0.0 ( - L1 L3))

P6 (POLAR P5 ( - PI2) (/ ( - D3 D4) 2))

P7 (POLAR P6 PI L2)

P8 (POlAR P7 ( - PI2) (/ ( - D4 D1) 2))

)

)

(defun grq ()

(command "PLINE" P1 "W" "0.5" "" P2 P3 P4 P5 P6 P7 P8 "c"

"MIRROR" P1 "" P0 P01 ""

"PLINE" P1 (POLAR P1 ( - PI2) D1)""

"PLINE" P8 (POLAR P8 ( - PI2) D1)""

"PLINE" P6 (POLAR P6 ( - PI2) D4)""

"HATCH" "U" "45" "2" "N" P2 (POLAR P2 ( - PI2) D2)""

"LINETYPE" "S" "CENTER" ""

"LINE" (POLAR P0 PI 3) (POLAR P01 0.0 3)""

"LINETYPE" "S" "CONTINUOUS" ""

)

)

(defun dimv ()

(SETQ

P11 (POLAR P1 ( - PI2) D1)

P12 (POLAR P2 ( - PI2) D2)

P15 (POLAR P5 ( - PI2) D3)

P16 (POLAR P6 ( - PI2) D4)

PD1 (POLAR P1 PI 10)

PD2 (POLAR P1 PI 20)

PD3 (POLAR P5 0.0 20)

PD4 (POLAR P6 0.0 10)

PL1 (POLAR P1 PI2 45)

PL2 (POLAR P8 ( - PI2) 70)

PL3 (POLAR P3 PI2 5)

)

(COMMAND

"DIMDEC" 0

"DIMASZ" 2

"DIMTXT" 3

"DIMTVP" 1.5

"DIMTIH" "OFF"

"DIMTOH" "OFF"

"DIM"

"VER" P1 P11 PD1 "%%c <>"

"VER" P2 P12 PD2 "%%c <>"

"VER" P5 P15 PD3 "%%c <>"

"VER" P6 P16 PD4 "%%c <>"

"HOR" P1 P6 PL1 "<>"

"HOR" P8 P6 PL2 "<>"

"HOR" P1 P3 PL3 "<>"

"EXIT"

)

)

(defun c: sq ()

(indat)

(par)

(grq)

(dimv)

)

Приложение 2

Рис.3. Чертеж левой крышки подшипника, выполненный с помощью AutoLISP.

Приложение 3.

Рис.4.3D-модель левой крышки подшипника, выполненная в AutoCAD.

Приложение 4

Рис.5. Чертеж сборочной единицы, выполненный с помощью AutoCAD.

Приложение 5

Рис.6. Чертеж сборочной единицы, выполненный с помощью AutoCAD

ОТКРЫТЬ САМ ДОКУМЕНТ В НОВОМ ОКНЕ

Комментариев на модерации: 2.

ДОБАВИТЬ КОММЕНТАРИЙ  [можно без регистрации]

Ваше имя:

Комментарий